
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Cairo.Structs.RectangleInt
    ( 

-- * Exported types
    RectangleInt(..)                        ,
    noRectangleInt                          ,


 -- * Properties
-- ** Height
    rectangleIntReadHeight                  ,


-- ** Width
    rectangleIntReadWidth                   ,


-- ** X
    rectangleIntReadX                       ,


-- ** Y
    rectangleIntReadY                       ,




    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Cairo.Types
import GI.Cairo.Callbacks

newtype RectangleInt = RectangleInt (ForeignPtr RectangleInt)
foreign import ccall "cairo_gobject_rectangle_int_get_type" c_cairo_gobject_rectangle_int_get_type :: 
    IO GType

instance BoxedObject RectangleInt where
    boxedType _ = c_cairo_gobject_rectangle_int_get_type

noRectangleInt :: Maybe RectangleInt
noRectangleInt = Nothing

rectangleIntReadX :: RectangleInt -> IO Int32
rectangleIntReadX s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 0) :: IO Int32
    return val

rectangleIntReadY :: RectangleInt -> IO Int32
rectangleIntReadY s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 4) :: IO Int32
    return val

rectangleIntReadWidth :: RectangleInt -> IO Int32
rectangleIntReadWidth s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 8) :: IO Int32
    return val

rectangleIntReadHeight :: RectangleInt -> IO Int32
rectangleIntReadHeight s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 12) :: IO Int32
    return val


